<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::ComponentFilter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ComponentFilter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1ComponentFilter-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::ComponentFilter Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>A class to specify a filter to be used to iterate through components.  
 <a href="classOpenSim_1_1ComponentFilter.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::ComponentFilter:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1ComponentFilter.png" usemap="#OpenSim::ComponentFilter_map" alt=""/>
  <map id="OpenSim::ComponentFilter_map" name="OpenSim::ComponentFilter_map">
<area href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html" title="A component is considered a match if its absolute path name contains the given string." alt="OpenSim::ComponentFilterAbsolutePathNameContainsString" shape="rect" coords="0,56,349,80"/>
<area href="classOpenSim_1_1ComponentFilterMatchAll.html" title="ComponentFilterMatchAll is a trivial Filter that matches all components." alt="OpenSim::ComponentFilterMatchAll" shape="rect" coords="359,56,708,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aec539924c67860eea07aa67fa5cfbb60"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilter.html#aec539924c67860eea07aa67fa5cfbb60">~ComponentFilter</a> ()</td></tr>
<tr class="memdesc:aec539924c67860eea07aa67fa5cfbb60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor of <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, does nothing.  <a href="classOpenSim_1_1ComponentFilter.html#aec539924c67860eea07aa67fa5cfbb60">More...</a><br /></td></tr>
<tr class="separator:aec539924c67860eea07aa67fa5cfbb60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e54ae12d9b0e425208a1de453a47175"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilter.html#a0e54ae12d9b0e425208a1de453a47175">isMatch</a> (const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;comp) const =0</td></tr>
<tr class="memdesc:a0e54ae12d9b0e425208a1de453a47175"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the meat of the <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, returns false if the passed in component should be skipped over.  <a href="classOpenSim_1_1ComponentFilter.html#a0e54ae12d9b0e425208a1de453a47175">More...</a><br /></td></tr>
<tr class="separator:a0e54ae12d9b0e425208a1de453a47175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc76c1f783bbbc6d1fd8bc4fce0b26e2"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1ComponentFilter.html">ComponentFilter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2">clone</a> () const =0</td></tr>
<tr class="memdesc:acc76c1f783bbbc6d1fd8bc4fce0b26e2"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2" title="clone() method needed to make a copy of the filter.">clone()</a> method needed to make a copy of the filter.  <a href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2">More...</a><br /></td></tr>
<tr class="separator:acc76c1f783bbbc6d1fd8bc4fce0b26e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ada053393fcf7f1fab8263c7e4c2d945b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ComponentFilter.html#ada053393fcf7f1fab8263c7e4c2d945b">ComponentFilter</a> ()</td></tr>
<tr class="memdesc:ada053393fcf7f1fab8263c7e4c2d945b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor of <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, does nothing.  <a href="classOpenSim_1_1ComponentFilter.html#ada053393fcf7f1fab8263c7e4c2d945b">More...</a><br /></td></tr>
<tr class="separator:ada053393fcf7f1fab8263c7e4c2d945b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A class to specify a filter to be used to iterate through components. </p>
<p>More flexible than filtering based on Type only. To write your custom filter, extend this class and implement the <a class="el" href="classOpenSim_1_1ComponentFilter.html#a0e54ae12d9b0e425208a1de453a47175" title="This is the meat of the ComponentFilter, returns false if the passed in component should be skipped o...">isMatch()</a> and <a class="el" href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2" title="clone() method needed to make a copy of the filter.">clone()</a> methods. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ada053393fcf7f1fab8263c7e4c2d945b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada053393fcf7f1fab8263c7e4c2d945b">&#9670;&nbsp;</a></span>ComponentFilter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::ComponentFilter::ComponentFilter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default constructor of <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, does nothing. </p>
<p><br  />
 For use by derived classes only. </p>

</div>
</div>
<a id="aec539924c67860eea07aa67fa5cfbb60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec539924c67860eea07aa67fa5cfbb60">&#9670;&nbsp;</a></span>~ComponentFilter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::ComponentFilter::~ComponentFilter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor of <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, does nothing. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acc76c1f783bbbc6d1fd8bc4fce0b26e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc76c1f783bbbc6d1fd8bc4fce0b26e2">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1ComponentFilter.html">ComponentFilter</a>* OpenSim::ComponentFilter::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1ComponentFilter.html#acc76c1f783bbbc6d1fd8bc4fce0b26e2" title="clone() method needed to make a copy of the filter.">clone()</a> method needed to make a copy of the filter. </p>
<p><br  />
 </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#ab174e16e2419afb9c11f44cf31de66c3">OpenSim::ComponentFilterAbsolutePathNameContainsString</a>, and <a class="el" href="classOpenSim_1_1ComponentFilterMatchAll.html#a698e57833176dcfd34eee920120c7242">OpenSim::ComponentFilterMatchAll</a>.</p>

</div>
</div>
<a id="a0e54ae12d9b0e425208a1de453a47175"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e54ae12d9b0e425208a1de453a47175">&#9670;&nbsp;</a></span>isMatch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool OpenSim::ComponentFilter::isMatch </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Component.html">Component</a> &amp;&#160;</td>
          <td class="paramname"><em>comp</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the meat of the <a class="el" href="classOpenSim_1_1ComponentFilter.html" title="A class to specify a filter to be used to iterate through components.">ComponentFilter</a>, returns false if the passed in component should be skipped over. </p>

<p>Implemented in <a class="el" href="classOpenSim_1_1ComponentFilterAbsolutePathNameContainsString.html#a1e3efede2c41dbe941cf158d51bd189d">OpenSim::ComponentFilterAbsolutePathNameContainsString</a>, and <a class="el" href="classOpenSim_1_1ComponentFilterMatchAll.html#aa153b063348a1e0bb411f04bd4d80331">OpenSim::ComponentFilterMatchAll</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/ComponentList.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1ComponentFilter.html">ComponentFilter</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:18 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
